<template>
  <div class="wrapper">

    <div class="header">

      <router-link :to="{ name: 'main' }">
        <div
          :style="`background-image: url(${require('@/assets/img/arrow-back.svg')})`"
          class="arrow-back-button"
        ></div>
      </router-link>

      Способ оплаты

      <router-link :to="{ name: 'add-card' }">
        <div class="add-button">+</div>
      </router-link>
      
    </div>

    <div v-if="$store.state.tips.chooseCard" class="tip">
      На вашей карте будет временно заблокировано 25 ₸, они обязательно вернутся на карту через 1 минуту 
      <div @click="$store.commit('SET_TIP_STATUS', { tip: 'chooseCard', status: false })" :style="`background-image: url(${require('@/assets/img/cross.svg')})`" class="cross-icon">
      </div>
    </div>

    <div v-for="card in $store.state.cards" :key="card.id" class="card">
      <div :style="`background-image: url(${require('@/assets/img/visa-logo.svg')})`" class="visa-logo"></div>
      {{ card.card_mask }}
    </div>

  </div>
</template>

<script>

export default {
  
  methods: {
    
  },
  
}
</script>

<style scoped>
.wrapper {
  overflow-y: scroll;
  background-color: white;
  position: fixed; 
  z-index: 2; 
  text-align: left; 
  left: 0px; 
  right: 0px; 
  bottom: 0; 
  top: 0;
}

.header {
  text-align: center; 
  padding: 57px 10px 25px 10px;
  background-color: #f5f5f5;
  position: sticky;
  top: 0;
}

.arrow-back-button {
  position: absolute;
  left: 12px;
  top: 45px;
  cursor: pointer;
  box-sizing: border-box;
  padding: 20px;
  background-repeat: no-repeat;
  background-position: center;
}

.add-button {
  font-size: 20px;
  position: absolute;
  right: 12px;
  top: 40px;
  cursor: pointer;
  text-align: center;
  box-sizing: border-box;
  padding: 15px 20px;
}

.cross-icon {
  position: absolute;
  top: calc(50% - 20px);
  right: 15px;
  width: 40px;
  height: 40px;
  background-repeat: no-repeat;
  background-position: center;
}

.tip {
  position: relative; 
  background-color: #83acea;
  color: white; 
  border-bottom: 1px solid #f5eaea; 
  padding: 20px 80px 20px 20px;
}

.visa-logo {
  position: absolute; 
  left: 27px; 
  top: 10px; 
  width: 38px; 
  height: 38px; 
  border: 1px solid #F9F1F1; 
  border-radius: 50%; 
  background-repeat: no-repeat; 
  background-position: center center;
}

.card {
  position: relative; 
  padding: 20px 20px 20px 83px; 
  border-bottom: 1px solid #fcf2f2;
}

.card::after {
  content: '•••';
  position: absolute;
  right: 28px;
  width: 17px;
  height: 17px;
  color: black;
  border-radius: 50%;
}
</style>